| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Lib::WaitDirectoryCreationLatence Class Reference

Implements blocking until the specified directory is created (becomes existent). Directory is specified in constructor or by setting the DirectoryPath property. Waiting is performed by calling the Wait() function. It is implemented by successively checking whether unblocking condition is fulfilled and by sleeping between checks. Therefore it has some latency (i.e. unblocking is not always performed immediatley the condition is met) and spends some CPU time and system resources. More...

Inheritance diagram for IG::Lib::WaitDirectoryCreationLatence:
[legend]
Collaboration diagram for IG::Lib::WaitDirectoryCreationLatence:
[legend]

List of all members.

## Public Member Functions
| WaitDirectoryCreationLatence (string directoryPath)
override bool | Condition ()
| Returns true if the monitored directory exists, and false if not.

## Detailed Description

Implements blocking until the specified directory is created (becomes existent). Directory is specified in constructor or by setting the DirectoryPath property. Waiting is performed by calling the Wait() function. It is implemented by successively checking whether unblocking condition is fulfilled and by sleeping between checks. Therefore it has some latency (i.e. unblocking is not always performed immediatley the condition is met) and spends some CPU time and system resources.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG::Lib::WaitDirectoryCreationLatence::WaitDirectoryCreationLatence | ( | string | directoryPath | ) | `[inline]`

## Member Function Documentation

override bool IG::Lib::WaitDirectoryCreationLatence::Condition | ( |  | ) | `[inline]`

Returns true if the monitored directory exists, and false if not.

Reimplemented from IG::Lib::WaitFileEventLatenceBase.

The documentation for this class was generated from the following file:

- WaitConditionFile.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events